org.eclipse.microprofile.jwt.tck.arquillian

## Class BaseWarArchiveProcessor

- java.lang.Object
- - org.eclipse.microprofile.jwt.tck.arquillian.BaseWarArchiveProcessor

All Implemented Interfaces:
  org.jboss.arquillian.container.test.spi.client.deployment.ApplicationArchiveProcessor

    public abstract class BaseWarArchiveProcessor
    extends Object
    implements org.jboss.arquillian.container.test.spi.client.deployment.ApplicationArchiveProcessor

A base ApplicationArchiveProcessor for illustrating use and simplifying common implementations. TODO: flesh out the stubs more

### Constructor Summary

Constructors
Constructor and Description
`BaseWarArchiveProcessor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected String[]` `getWebInfLibArtifacts()` groupId:artifactId:version dependencies to include in WEB-INF/lib directory
`protected String[]` `getWebInfResources()` Called to get names of WEB-INF resources
`void` `process(org.jboss.shrinkwrap.api.Archive<?> appArchive, org.jboss.arquillian.test.spi.TestClass testClass)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BaseWarArchiveProcessor

    public BaseWarArchiveProcessor()

### Method Detail

#### process

    public void process(org.jboss.shrinkwrap.api.Archive<?> appArchive,
                        org.jboss.arquillian.test.spi.TestClass testClass)

Specified by:
  `process` in interface `org.jboss.arquillian.container.test.spi.client.deployment.ApplicationArchiveProcessor`

#### getWebInfResources

    protected String[] getWebInfResources()

Called to get names of WEB-INF resources

Returns:
  names of classpath resources to add to the WEB-INF directory, empty for none

#### getWebInfLibArtifacts

    protected String[] getWebInfLibArtifacts()

groupId:artifactId:version dependencies to include in WEB-INF/lib directory

Returns:
  names of mvn dependencies to include, empty for none